Skip to main content
POST
/
budgets
Create a budget
curl --request POST \
  --url https://api.equalsmoney.com/v2/budgets \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "boxId": "a43231c221",
  "name": "Team Party",
  "features": [
    "payments"
  ],
  "currencies": [
    "USD"
  ],
  "type": "accountBalance",
  "status": "active",
  "personaId": "0387819c-a33e-454c-ad84-570bf53cd75f"
}
'
{
  "id": "775596ae-2624-40af-a9dc-9756110a4a03",
  "boxId": "a43231c221",
  "name": "Team Party",
  "accountId": "F50091",
  "parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "feature": [
    {
      "id": "string",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "payments": true,
      "budgetCards": true,
      "peopleCards": true,
      "forwardDeposits": true,
      "lowBalanceThreshold": 0,
      "lowBalanceCurrencyCode": "AED",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "currency": [
    {
      "id": "string",
      "boxCurrencyId": 0,
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "currencyCode": "USD",
      "local": "unique",
      "international": "unique",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "balance": [
    {
      "id": "string",
      "currencyCode": "USD",
      "availableBalance": 10,
      "lastUpdatedSequentialId": 0,
      "currency": "USD",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "ledgerBalance": 50,
      "pendingBalance": 40,
      "allocatedBalance": 10,
      "ledgerAndAllocatedBalance": 60,
      "activeCurrencyOnBudget": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalBalance": [
    {
      "id": "string",
      "currencyCode": "USD",
      "availableBalance": 10,
      "lastUpdatedSequentialId": 0,
      "currency": "USD",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "ledgerBalance": 50,
      "pendingBalance": 40,
      "allocatedBalance": 10,
      "ledgerAndAllocatedBalance": 60,
      "activeCurrencyOnBudget": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "children": [
    {
      "id": "string",
      "currencyCode": "USD",
      "availableBalance": 10,
      "lastUpdatedSequentialId": 0,
      "currency": "USD",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "ledgerBalance": 50,
      "pendingBalance": 40,
      "allocatedBalance": 10,
      "ledgerAndAllocatedBalance": 60,
      "activeCurrencyOnBudget": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "details": [
    {
      "currency": "USD",
      "sortCode": "12-34-56",
      "accountNumber": "12345678",
      "ibans": [
        {
          "iban": "GB26SPPV23188497371875",
          "bic": "BARCGB22"
        }
      ],
      "accountName": "Equals Money",
      "bankName": "SPECTRUM PAYMENT SERVICES",
      "bankAddress": "Vintners Place, 68 Upper Thames St, London, EC4V 3BJ, United Kingdom",
      "balanceReference": "Balance reference"
    }
  ],
  "settlementDetails": {
    "currencyDetails": [
      {
        "currencyCode": "USD",
        "local": {
          "accountIdentifier": "31510604",
          "bankIdentifier": "10-00-00",
          "payeeName": "ACME",
          "bankName": "Brilliant Bank",
          "bankAddress": {
            "addressLine1": "41 Middle Street",
            "addressLine2": "string",
            "addressLine3": "string",
            "city": "Enfield",
            "postcode": "EN1 3JY",
            "country": "United Kingdom"
          }
        },
        "international": {
          "accountIdentifier": "31510604",
          "bankIdentifier": "10-00-00",
          "payeeName": "ACME",
          "bankName": "Brilliant Bank",
          "bankAddress": {
            "addressLine1": "41 Middle Street",
            "addressLine2": "string",
            "addressLine3": "string",
            "city": "Enfield",
            "postcode": "EN1 3JY",
            "country": "United Kingdom"
          }
        }
      }
    ],
    "balanceReference": "Balance reference"
  },
  "individualBudgetHolder": {
    "id": "b489ea2c-0dd1-4fb1-b345-de5a596a5527",
    "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
    "personaId": "775596ae-2624-40af-a9dc-9756110a4a04",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "priority": 1,
  "level": 1,
  "type": "accountBalance",
  "status": "active",
  "allowCurrencyAlignment": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

features
enum<string>[]
required

The feature in a budget.

Available options:
payments,
peopleCards,
budgetCards
type
enum<string> | null
required

The budget type.

Available options:
accountBalance,
forwardDeposits,
shared,
individual
parentId
string<uuid> | null

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

boxId
string

The ID of the box to work with.

Example:

"a43231c221"

name
string

The name of the budget.

Maximum string length: 75
Example:

"Team Party"

currencies
enum<string>[]
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GGP,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHN,
SLL,
SOS,
SRD,
SSP,
STN,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMK,
ZMW,
ZWD
status
enum<string>
Available options:
active,
archived,
hidden
personaId
string<uuid> | null

The ID of the persona that must be assigned to the budget. Required only forindividual budgets.

Maximum string length: 36

Response

201 - application/json

Created

id
string<uuid> | null
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

name
string
required

The name of the budget.

Maximum string length: 256
Example:

"Team Party"

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

boxId
string | null

The ID of the box to work with.

Example:

"a43231c221"

parentId
string<uuid> | null

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

feature
object[]
currency
object[]
balance
object[] | null
totalBalance
object[] | null
children
object[] | null
details
object[]
settlementDetails
object

The settlement details.

individualBudgetHolder
object
priority
number

Defines the priority of a budget, where 1 is the highest priority.

Example:

1

level
number

Defines the hierarchy level of a budget, where 0 is the highest level (accountBalance).

Example:

1

type
enum<string>

The budget type.

Available options:
accountBalance,
forwardDeposits,
shared,
individual
status
enum<string>
Available options:
active,
archived,
hidden
allowCurrencyAlignment
boolean

Whether or not to enable currency alignment on a budget. Currency alignment allows a cardholder to pay in a currency that is different from the budget's currency, with Equals Money doing the conversion.

createdAt
string<date-time>

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>

The date the Resource was last modified. ISO 8601 format without milliseconds.